aboutsummaryrefslogtreecommitdiffstats
path: root/dmaap-listener/src/main/scripts/stop-dmaap-listener.sh
diff options
context:
space:
mode:
authorDan Timoney <dtimoney@att.com>2017-04-21 17:36:30 -0400
committerDan Timoney <dtimoney@att.com>2017-04-24 12:19:33 -0400
commit60d5ee0c6d4cc32d6181c29ee55a67575669a0cd (patch)
treeb0e3b96732935e21058eedf05fd766be5c673f40 /dmaap-listener/src/main/scripts/stop-dmaap-listener.sh
parentc8a9ad49965b6152a0c7f3f4b7d1f7993d52f082 (diff)
[SDNC-5] Split listeners
Split dmaap-listener and ueb-listener to separate artifacts Change-Id: I7b1d5b15c8ef850ace75d4da451143ba4062b817 Signed-off-by: Dan Timoney <dtimoney@att.com>
Diffstat (limited to 'dmaap-listener/src/main/scripts/stop-dmaap-listener.sh')
-rw-r--r--dmaap-listener/src/main/scripts/stop-dmaap-listener.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/dmaap-listener/src/main/scripts/stop-dmaap-listener.sh b/dmaap-listener/src/main/scripts/stop-dmaap-listener.sh
new file mode 100644
index 00000000..0193f15e
--- /dev/null
+++ b/dmaap-listener/src/main/scripts/stop-dmaap-listener.sh
@@ -0,0 +1,52 @@
+#!/bin/bash
+
+###
+# ============LICENSE_START=======================================================
+# openECOMP : SDN-C
+# ================================================================================
+# Copyright (C) 2017 AT&T Intellectual Property. All rights
+# reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+###
+
+PROPERTY_DIR=${PROPERTY_DIR:-/opt/sdnc/data/properties}
+
+LISTENER=dmaap-listener
+
+
+PIDFILE=/tmp/.${LISTENER}-pid
+UEBLISTENERROOT=${UEBLISTENERROOT:-/opt/app/dmaap-listener}
+
+if [ -f $PIDFILE ]
+then
+ pid=$(cat $PIDFILE)
+ if [ "$pid" != "" ]
+ then
+ if kill -0 $pid
+ then
+ echo "Stopping $LISTENER"
+ kill $pid && rm $PIDFILE
+ exit 0
+ else
+ echo "$LISTENER not running"
+ exit 1
+ fi
+ else
+ echo "$LISTENER not running"
+ exit 1
+ fi
+fi
+
+